Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Scheda di rete wireless tp-link wn620g
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Sat Jan 24, 2009 7:53 pm    Post subject: Scheda di rete wireless tp-link wn620g Reply with quote

Ho provato a far funzionare la suddetta pennetta usb in diversi modi..tra cui installare i madwifi e come seconda alternativa usando ndiswrapper, ho seguito questa guida http://en.gentoo-wiki.com/wiki/Ndiswrapper ma non da nessun segno di vita...non so se ho sbagliato e/o mancato qualche passaggio..ringrazio in anticipo tuti quelli che mi daranno una mano!
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Sat Jan 24, 2009 9:59 pm    Post subject: Reply with quote

come avrai sicuramente visto ho recuperato dei driver per linux che però non funzionano con i kernel più recenti... io ora come ora non ho tempo, ma se qualcuno volesse cimentarsi nell'adattarli...
per quanto riguarda ndiswrapper... posteresti l'output di:
Code:
# ndiswrapper -i <driver.dll>
# ndiswrapper -l

poi
a questo punto dovresti avere "ndiswrapper" caricato tra i moduli
Code:
# lsmod | grep ndiswrapper

se non c'è dai
Code:
# modprobe ndiswrapper

inserisci la scheda e posta l'output di
Code:
# dmesg | tail
# iwconfig

penso basti...
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Sat Jan 24, 2009 10:10 pm    Post subject: Reply with quote

Ecco:
ndiswrapper -l
Code:
athfmwdl : driver installed
        device (0CF3:0002) present
net5523 : driver installed
        device (0CF3:0002) present


lsmod | grep ndiswrapper non restituisce nulla quindi provo modprobe ndiswrapper:
Code:
FATAL: Error inserting ndiswrapper (/lib/modules/2.6.28-gentoo/misc/ndiswrapper.ko): Invalid module format


dmesg | tail
Code:
sd 2:0:0:0: [sdb] Assuming drive cache: write through
sd 2:0:0:0: [sdb] 3903488 512-byte hardware sectors: (1.99 GB/1.86 GiB)
sd 2:0:0:0: [sdb] Write Protect is off
sd 2:0:0:0: [sdb] Mode Sense: 23 00 00 00
sd 2:0:0:0: [sdb] Assuming drive cache: write through
 sdb: sdb1
sd 2:0:0:0: [sdb] Attached SCSI removable disk
usb-storage: device scan complete
ndiswrapper: no symbol version for struct_module
usb 5-4: USB disconnect, address 4


iwconfig (da notare che wlan0 è la mia wireless gia installata)
Code:
lo        no wireless extensions.

eth0      no wireless extensions.

wmaster0  no wireless extensions.

wlan0     IEEE 802.11bg  ESSID:"Ago" 
          Mode:Managed  Frequency:2.462 GHz  Access Point: 00:12:0E:33:E7:1A   
          Bit Rate=1 Mb/s   Tx-Power=27 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Encryption key:off
          Power Management:off
          Link Quality=93/100  Signal level:-39 dBm  Noise level=-70 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Sat Jan 24, 2009 10:13 pm    Post subject: Reply with quote

ago88 wrote:
lsmod | grep ndiswrapper non restituisce nulla quindi provo modprobe ndiswrapper:
Code:
FATAL: Error inserting ndiswrapper (/lib/modules/2.6.28-gentoo/misc/ndiswrapper.ko): Invalid module format


dmesg | tail
Code:
ndiswrapper: no symbol version for struct_module

sembra un problema con ndiswrapper
che versione hai installata?
Code:
# eix -I ndiswrapper

possibile che non "quagli" molto con i 2.6.28
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Sat Jan 24, 2009 10:25 pm    Post subject: Reply with quote

allora...come alternativa potrei provare a compilare un kernel 2.6.27 o 2.6.26 e provare ndiswrapper...cmq per eix -I ndiswrapper:
Code:
[I] net-wireless/ndiswrapper
     Available versions:  1.47 ~1.48 ~1.49 1.50 ~1.51 ~1.52 ~1.53 1.53-r1 {debug kernel_linux usb}
     Installed versions:  1.53-r1(21:11:31 23/01/2009)(kernel_linux usb -debug)
     Homepage:            http://ndiswrapper.sourceforge.net/
     Description:         Wrapper for using Windows drivers for some wireless cards
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Sat Jan 24, 2009 10:35 pm    Post subject: Reply with quote

ago88 wrote:
allora...come alternativa potrei provare a compilare un kernel 2.6.27 o 2.6.26 e provare ndiswrapper...

si potrebbe essere un'idea, sempre che non sia vitale per te usare l'ultimissima versione del kernel.
chiaramente, una volta ricompilato il kernel devi ricompilarti pure ndiswrapper.
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Sun Jan 25, 2009 2:46 pm    Post subject: Reply with quote

aggiornamento: sono riuscito a caricare ndiswrapper..ma la penna non funziona, e in + se lo aggiungo a /etc/module.autoload.d poi mi da kernel panic e non parte il sistema..mi resta solo provare con un kernel 2.6.26

EDIT:ma a parte ndiswrapper che sarebbe una soluzione alternativa..se guendo questo link http://linux-wless.passys.nl/query_hostif.php?hostif=USB noto che per il mio adattatore servono i madwifi dato che monta un chip atheros...ma non funziona ugualmente.Io ho preso apposta questa poichè avevo visto la compatibilità.Forse sbaglio nell'installazione dei mad...qualcuno potrebbe darmi una mano?grazie :)
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Mon Feb 02, 2009 5:22 pm    Post subject: Reply with quote

so che non si dovrebbero fare 2 post di seguito ma è + marcante...
AGGIORNAMENTO:
sono arrivato a testare se su ubuntu l'hardware in questione funzionasse...ebbene si..su ubuntu 8.04 live ho testato che con un kernel 2.6.24 e ndiswrapper 1.50 riesco a far funzionare su "linux" la pennetta..quindi siccome uso 2.6.28 penso bene di scaricare gentoo-sources 2.6.24 e compilarlo(ovviamente anche ricompilando ndis) ma non funziona.Allora faccio un lsmod sul mio gentoo e un lsmod di ubuntu..ovviamente su ubuntu escono tanti di quei moduli che mi ci perdo...e come alternativa ho pensato che nel mio kernel forse non avevo compilato un modulo che magari lavorava insieme a ndiswrapper.Passo successivo decido di ricompilare di nuovo un 2.6.24 su gentoo, andandomi a copiare il .config della live di ubuntu (giusto per copiare in pari il kernel)(e non ho fatto genkernel poichè non ha funzionato)e ho compilato il kernel ma purtroppo ho avuto risultati negativi.Ora l'unica cosa che mi rimane pensare è che in ubuntu ci sia di default qualcosa che nel mio sistema manca...io avrei pensato a delle patch applicate al kenel...(per questo vorrei provare a compilare i sorgenti patchati ubuntu per verificare se compilandoli su gentoo per caso funziona la penna)o se poi qualcuno mi suggerisce cosa ci potrebbe essere in più su ubuntu che fa funzionare la pennetta, e che su gentoo manca...
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Mon Feb 02, 2009 6:10 pm    Post subject: Reply with quote

no mi sembra sia un'esagerazione
ora la cosa migliore sarebbe postare (o meglio linkare) il tuo config e postare l'output di lsmod di gentoo e ubuntu
apparte questo non capisco se con il 2.6.24 riuscivi a dare il modprobe di ndiswrapper.
Che kernel stai usando? gentoo-sources-2.6.24 ?
se si, allora mi mancano alcune cose relative ai driver che cercavi di installare (un po' di output di debug, per favore), se no, non so se 1) non riuscivi a compilare ndiswrapper (che versione? sei sempre sulla stabile?) 2) non riuscivi a compilare il kernel? 3) ...

insomma, un po' di ordine, metodo e chiarezza aiuterebbe a darti una mano: considera che non abbiamo accesso al tuo pc, quindi cerca di venirci incontro. ;)

ciao!
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Tue Feb 03, 2009 4:41 pm    Post subject: Reply with quote

Peach wrote:
no mi sembra sia un'esagerazione
ora la cosa migliore sarebbe postare (o meglio linkare) il tuo config e postare l'output di lsmod di gentoo e ubuntu
si, ho salvato lsmod sia sulla live di ubuntu che su gentoo pensando che ci fosse quache modulo che serviva per far funzionare ndiswrapper ma ho avuto la smentita poichè ho copiato il .config del kernel della live di ubuntu per creare lo stesso kernel su gentoo, e ho provato sia con i vanilla e gentoo-sources(anche con gli ubuntu-sources ma non li compila)
Peach wrote:
apparte questo non capisco se con il 2.6.24 riuscivi a dare il modprobe di ndiswrapper.

si, riuscivo a dare il modprobe di ndiswrapper senza problemi, quindi con
Code:
lsmod | grep ndiswrapper
vedevo benissimo che il modulo era caricato.
Peach wrote:
Che kernel stai usando? gentoo-sources-2.6.24 ?

si ho provato con tutti i kernel disponibili di gentoo, più anche qualche versione del vanilla.
Peach wrote:
se si, allora mi mancano alcune cose relative ai driver che cercavi di installare

non ho capito precisamente che intendi, io cmq ho tutti i driver che installo con ndiswrapper
Peach wrote:
non so se 1) non riuscivi a compilare ndiswrapper (che versione? sei sempre sulla stabile?)

si alla fine riuscivo a compilare ndiswrapper, sia da portage da 1.50 a 1.53-r1 e sia i sorgenti scaricati da sourceforge,(1.54 e 1.50-rc3)
Peach wrote:
2) non riuscivi a compilare il kernel?
per il kernel non ho avuto problemi in qualsiasi versione, come detto in precedenza riesco a compilare sia kernel e sia successivamente ndiswrapper, riesco anche a fare il modprobe ma la pennetta non funziona

Spero di essere stato più chiaro. :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum